From 5365359402c32681e07b1a4afc2c2297dd0ea1af Mon Sep 17 00:00:00 2001
From: Kaarlo Raiha <kaarlo.raiha@tut.fi>
Date: Sun, 6 Jul 2008 16:34:38 +0300
Subject: [PATCH] OpenGL RGBA to BGRA change to fix wrong colorspace

---
 modules/video_output/opengl.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/modules/video_output/opengl.c b/modules/video_output/opengl.c
index 32d56e2..02fd6ae 100644
--- a/modules/video_output/opengl.c
+++ b/modules/video_output/opengl.c
@@ -69,6 +69,10 @@
 #define VLCGL_RGB_FORMAT GL_RGBA
 #define VLCGL_RGB_TYPE GL_UNSIGNED_BYTE
 
+/* RV32 (swapped blue and red components) */
+#define VLCGL_BGR_FORMAT 0x80E1 /* equal to GL_BGRA */
+#define VLCGL_BGR_TYPE GL_UNSIGNED_BYTE
+
 /* YUY2 */
 #ifndef YCBCR_MESA
 #define YCBCR_MESA 0x8757
@@ -80,8 +84,8 @@
 #define VLCGL_YUV_TYPE UNSIGNED_SHORT_8_8_MESA
 
 /* Use RGB on Win32/GLX */
-#define VLCGL_FORMAT VLCGL_RGB_FORMAT
-#define VLCGL_TYPE   VLCGL_RGB_TYPE
+#define VLCGL_FORMAT VLCGL_BGR_FORMAT
+#define VLCGL_TYPE   VLCGL_BGR_TYPE
 //#define VLCGL_FORMAT VLCGL_YUV_FORMAT
 //#define VLCGL_TYPE   VLCGL_YUV_TYPE
 #endif
-- 
1.5.5.1

